V9.0

get

/ec-dc-svc/rest/v9.0/studies/{studyId}/{mode}/subjects/history/{subjectId}

Retrieves the history of given subject from a given study mode, with screenFailureDate value in response.

Request

Path Parameters
  • Mode of the study, accepts: test, active, or training.
    Example:
    test
  • Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
    Example:
    3F2504E04F8911D39A0C0305E82C3301
  • Unique subject identifier (UUID, 32-character uppercase hexadecimal string) representing the patient/participant enrolled in the study.
    Example:
    5D5F9311C591424F852B99FD902E98A4

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Success
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : SubjectScreeningNumberDto
Type: object
Subject DTO with screening number and randomization number, encompassing all inherited subject metadata. Includes all typical fields.
Show Source
Examples

400 Response

Bad request.
Body ()
Root Schema : DcsResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Nested Schema : details
Type: object
Back to Top